Loading...
Searching...
No Matches
ojph::cli_interpreter::arg_inter_base Struct Referenceabstract

`#include <ojph_arg.h>`

Inheritance diagram for ojph::cli_interpreter::arg_inter_base:

## Public Member Functions

virtual void | operate (const char *)=0

## Detailed Description

Definition at line 249 of file ojph_arg.h.

## Member Function Documentation

## operate()

virtual void ojph::cli_interpreter::arg_inter_base::operate | ( | const char * |  | ) |

pure virtual

Implemented in point_interpreter, point_list_interpreter, si32_to_bool_list_interpreter, size_interpreter, size_list_interpreter, tileparts_division_interpreter, ui32_list_interpreter, and ui32_list_interpreter.

References operate().

Referenced by operate(), and ojph::cli_interpreter::reinterpret().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/openjph/ojph_arg.h